Subject: Re: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Ivan Shmakov <[email-masked]>
Date: Tue, 21 Apr 2015 18:35:53 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

[…]

 > But I've resisted going this way so far because of the difficulty to
 > type those things.  IOW, I think we need some clever way to type them
 > in with very little effort.

	Apart from the already suggested smart-quotes-mode, there’s this
	bit I personally use.  (See also bug#16082.)

(eval-after-load 'iso-transl
  '(iso-transl-define-keys
    '(("\"[" . [?“]) ("\"]" . [?”])
      ("'["  . [?‘]) ("']"  . [?’]))))

key             binding
―――             ―――――――
A-' [		‘
A-' ]		’
A-" [		“
A-" ]		”
C-x 8 ' [	‘
C-x 8 ' ]	’
C-x 8 " [	“
C-x 8 " ]	”

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A